---
# tasks file for mssql_script_execution
- name: Copy the SQL script to the windodws machine
  win_copy:
     src: ../files/AD_script.sql
     dest: C:\Windows\temp\AD_script.sql

- name: Run the SQL script
  win_shell: sqlcmd  -i C:\Windows\temp\AD_script.sql
  register: ad_output

- debug:
    var: ad_output


- name: Remove the sql script after the script ran successfully
  win_file:
     path: C:\Windows\temp\AD_script.sql
     state: absent
